<form [formGroup]="form" (ngSubmit)="onSubmit()">
  <p [innerHTML]="'REGISTRATION.REQUIRED_TEXT' | translate"></p>
  <div class="form-field">
    <label for="registration-fields-username">
      {{ 'REGISTRATION.FIELDS.LABELS.USERNAME' | translate }}
      <span>*</span>
    </label>
    <input
      id="registration-fields-username"
      type="text"
      [attr.pattern]="usernamePattern"
      formControlName="username"
      required
    />
    <p class="error visualy-hidden" *ngIf="username.errors?.required">{{ 'FORM.ERRORS.REQUIRED' | translate }}</p>
    <p class="error" *ngIf="username.errors?.pattern" [innerHTML]="'FORM.ERRORS.USERNAME_PATTERN' | translate"></p>
    <p
      class="error"
      *ngIf="username.errors?.maxlength"
      [innerHTML]="'FORM.ERRORS.MAX_LENGTH' | translate: { maxlength: username.errors?.maxlength.requiredLength }"
    ></p>
  </div>
  <div class="form-field">
    <label for="registration-fields-email">
      {{ 'REGISTRATION.FIELDS.LABELS.EMAIL' | translate }}
      <span>*</span>
    </label>
    <input id="registration-fields-email" type="email" formControlName="email" required />
    <p class="error visualy-hidden" *ngIf="email.errors?.required" [innerHTML]="'FORM.ERRORS.REQUIRED' | translate"></p>
    <p class="error" *ngIf="email.errors?.email" [innerHTML]="'FORM.ERRORS.EMAIL' | translate"></p>
  </div>
  <div class="form-field">
    <label for="registration-fields-password">
      {{ 'REGISTRATION.FIELDS.LABELS.PASSWORD' | translate }}
      <span>*</span>
    </label>
    <input
      id="registration-fields-password"
      type="password"
      formControlName="password"
      [attr.pattern]="passwordPattern"
      required
    />
    <p
      class="error visualy-hidden"
      *ngIf="password.errors?.required"
      [innerHTML]="'FORM.ERRORS.REQUIRED' | translate"
    ></p>
    <p class="error" *ngIf="password.errors?.pattern" [innerHTML]="'FORM.ERRORS.PASSWORD_PATTERN' | translate"></p>
  </div>
  <div class="form-field">
    <label for="registration-fields-confirm-password">
      {{ 'REGISTRATION.FIELDS.LABELS.CONFIRM_PASSWORD' | translate }}
      <span>*</span>
    </label>
    <input
      id="registration-fields-confirm-password"
      type="password"
      formControlName="confirmPassword"
      [attr.pattern]="passwordPattern"
      required
    />
    <p
      class="error visualy-hidden"
      *ngIf="confirmPassword.errors?.required"
      [innerHTML]="'FORM.ERRORS.REQUIRED' | translate"
    ></p>
    <p class="error" *ngIf="form.errors?.notSameFields" [innerHTML]="'FORM.ERRORS.NOT_SAME_PASSWORD' | translate"></p>
  </div>
  <button type="submit" mel-button color="primary" [disabled]="!form.valid">
    {{ 'REGISTRATION.SUBMIT' | translate }}
    <mel-simple-loader *ngIf="displayLoader" [height]="24"></mel-simple-loader>
  </button>
</form>
